import sys
import os
from PyQt4 import QtCore, QtGui, uic

execPath = str(os.path.dirname(sys.argv[0]))

#static list of what the completer will use
defaults = ['alpha', 'bravo', 'charlie', 'delta', 'echo']

completerList = QtCore.QStringList()

for i in defaults:
    completerList.append(QtCore.QString(i))

class MyPyQtTool(QtGui.QDialog):
    def __init__(self):
        QtGui.QDialog.__init__(self)
        self.ui = uic.loadUi('%s%ssimpleTest.ui' % (execPath, os.sep))

        lineEditCompleter = QtGui.QCompleter(completerList)
        lineEditCompleter.setCompletionMode(QtGui.QCompleter.InlineCompletion)
        lineEditCompleter.setCaseSensitivity(QtCore.Qt.CaseInsensitive)
        self.ui.lineEdit.setCompleter(lineEditCompleter)

        self.connect(self.ui.comboBox, QtCore.SIGNAL("activated(int)"), self.comboBoxActivated)

    def comboBoxActivated(self, idx):
        newString = self.ui.comboBox.itemText(idx)

        completerList.append(newString)

        lineEditCompleter = QtGui.QCompleter(completerList)
        lineEditCompleter.setCompletionMode(QtGui.QCompleter.InlineCompletion)
        lineEditCompleter.setCaseSensitivity(QtCore.Qt.CaseInsensitive)
        self.ui.lineEdit.setCompleter(lineEditCompleter)

app = QtGui.QApplication(sys.argv)
dialog = MyPyQtTool()
dialog.ui.show()
app.exec_()
